All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
flagsToOpenPose.hpp File Reference
`#include <openpose/core/common.hpp>`
`#include <openpose/core/enumClasses.hpp>`
`#include <openpose/gui/enumClasses.hpp>`
`#include <openpose/pose/enumClasses.hpp>`
`#include <openpose/producer/enumClasses.hpp>`

Go to the source code of this file.

## Namespaces

| op

## Functions

OP_API PoseModel | op::flagsToPoseModel (const std::string &poseModeString)
OP_API ScaleMode | op::flagsToScaleMode (const int keypointScale)
OP_API ScaleMode | op::flagsToHeatMapScaleMode (const int heatMapScale)
OP_API ProducerType | op::flagsToProducerType (const std::string &imageDirectory, const std::string &videoPath, const std::string &ipCameraPath, const int webcamIndex, const bool flirCamera)
OP_API std::pair< ProducerType, std::string > | op::flagsToProducer (const std::string &imageDirectory, const std::string &videoPath, const std::string &ipCameraPath="", const int webcamIndex=-1, const bool flirCamera=false, const int flirCameraIndex=-1)
OP_API std::vector< HeatMapType > | op::flagsToHeatMaps (const bool heatMapsAddParts=false, const bool heatMapsAddBkg=false, const bool heatMapsAddPAFs=false)
OP_API RenderMode | op::flagsToRenderMode (const int renderFlag, const bool gpuBuggy=false, const int renderPoseFlag=-2)
OP_API DisplayMode | op::flagsToDisplayMode (const int display, const bool enabled3d)
OP_API Point< int > | op::flagsToPoint (const std::string &pointString, const std::string &pointExample="1280x720")